%define	api		1.0
%define	major		0
%define	libname		%mklibname %{name} %{api} %{major}
%define gi_libname	%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with soup2

Name:          rest
Version:       0.9.1
Release:       %mkrel 4
Summary:       A library for access to RESTful web services

Group:         System/Libraries
License:       LGPLv2
URL:           https://www.gnome.org/
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Fix some crash paths exposed by the libsoup3 port, including a
# crash on suspend/resume with Google accounts:
# https://gitlab.gnome.org/GNOME/librest/-/merge_requests/30
Patch0:        0001-rest_proxy_call_sync-bail-out-if-no-payload.patch
Patch1:        0002-Handle-some-potential-problems-in-parsing-oauth2-acc.patch
BuildRequires: meson
BuildRequires: gi-docgen
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: pkgconfig(libadwaita-1)
%if %{with soup2}
BuildRequires: pkgconfig(libsoup-2.4)
%else
BuildRequires: pkgconfig(libsoup-3.0)
%endif
BuildRequires: pkgconfig(libxml-2.0)

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{libname}
Summary:	A library for access to RESTful web services
Group:		System/Libraries

%description -n %{libname}
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{gi_libname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package -n librest-demo
Summary:	Librest Demo

%description -n librest-demo
Tour of the features in Librest.

%prep
%autosetup -p1 -S gendiff

%build
%meson -Dsoup2=%{?with_soup2:true}%{?!with_soup:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc AUTHORS README*
%{_libdir}/librest-%{api}.so.%{major}
%{_libdir}/librest-%{api}.so.%{major}.*
%{_libdir}/librest-extras-%{api}.so.%{major}
%{_libdir}/librest-extras-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

%files -n %{develname}
%doc %{_docdir}/librest-%{api}/
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-extras-%{api}.pc
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir

%files -n librest-demo
%{_bindir}/librest-demo
%{_datadir}/applications/org.gnome.RestDemo.desktop


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.9.1-4.mga10
+ Revision: 2248587
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.9.1-3.mga10
+ Revision: 2165007
- rebuild for libxml2 2.13.6

* Mon Sep 19 2022 tv <tv> 0.9.1-2.mga9
+ Revision: 1890158
- Backport MR #30 to fix some crashes in the libsoup3 port

* Sun Sep 18 2022 wally <wally> 0.9.1-1.mga9
+ Revision: 1889710
- new version 0.9.1
- new api 1.0
- build with libsoup-3.0

* Fri Mar 18 2022 umeabot <umeabot> 0.8.1-4.mga9
+ Revision: 1798422
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1516486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1300821
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros
+ wally <wally>
- don't regenerate docs at build time

* Tue Oct 17 2017 wally <wally> 0.8.1-1.mga7
+ Revision: 1172418
- tag docs as such
+ ovitters <ovitters>
- new version 0.8.1

* Mon Apr 18 2016 ovitters <ovitters> 0.8.0-1.mga6
+ Revision: 1003440
- new version 0.8.0

* Fri Feb 12 2016 umeabot <umeabot> 0.7.93-3.mga6
+ Revision: 958849
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.7.93-2.mga6
+ Revision: 847815
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 0.7.93-1.mga6
+ Revision: 839690
- new version 0.7.93

* Mon Mar 23 2015 luigiwalser <luigiwalser> 0.7.92-5.mga6
+ Revision: 819108
- add upstream patch to fix CVE-2015-2675

* Wed Oct 15 2014 umeabot <umeabot> 0.7.92-4.mga5
+ Revision: 750743
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.7.92-3.mga5
+ Revision: 724955
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.7.92-2.mga5
+ Revision: 688663
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 0.7.92-1.mga5
+ Revision: 671416
- new version 0.7.92

* Mon Mar 10 2014 ovitters <ovitters> 0.7.91-1.mga5
+ Revision: 601830
- new version 0.7.91

* Fri Oct 18 2013 umeabot <umeabot> 0.7.90-3.mga4
+ Revision: 518105
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.90-2.mga3
+ Revision: 380328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 14 2012 ovitters <ovitters> 0.7.90-1.mga3
+ Revision: 281269
- new version 0.7.90

* Fri Nov 11 2011 wally <wally> 0.7.12-1.mga2
+ Revision: 166725
- new version 0.7.12
- minor .spec cleanup

* Thu Oct 27 2011 wally <wally> 0.7.11-1.mga2
+ Revision: 158824
- new version 0.7.11

* Tue Jul 05 2011 cjw <cjw> 0.7.10-1.mga2
+ Revision: 118964
- use mkrel
- imported package rest


* Sun Apr 24 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.10-1
- Update to 0.7.10

* Sun Apr  3 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.9-1
- Update to 0.7.9

* Wed Mar 23 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.8-1
- Update to 0.7.8

* Tue Feb 22 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.6-1
- Update to 0.7.6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.5-1
- Update to 0.7.5
- Now its on gnome we have official tar file releases

* Wed Sep 29 2010 jkeating - 0.7.3-2
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.3-1
- Update to 0.7.3

* Mon Aug 30 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.2-1
- Update to 0.7.2

* Thu Aug  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.0-1
- Update to 0.7.0

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.4-1
- Update to 0.6.4

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-2
- some cleanups and fixes

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-1
- Update to 0.6.3, update url and source details, enable introspection

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-4
- Add patch to fix DSO linking. Fixes bug 564764

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-3
- Bump build

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-2
- Move to official tarball release of 0.6.1

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- New upstream 0.6 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-3
- A few minor spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- Update to 0.5

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to 0.4

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- Initial packaging
